import React from "react";
import { FontAwesome } from '@expo/vector-icons';
import ButtonContainer from "./styles";

type Props = {
    onPress: () => void;
    buttonColor: string;
    iconName: any;
    iconColor: string;
    width: string;
    height: string;

}

export default function FloatingButton({ onPress, buttonColor, iconName, iconColor, width, height }: Props) {
    return (
        <ButtonContainer
            width={width}
            height={height}
            inputColor={buttonColor}
            onPress={() => onPress()}
        >
            <FontAwesome name={iconName} size={34} color={iconColor} />
        </ButtonContainer>
    );
}
