import { Dimensions, Platform, StatusBar } from 'react-native';
import styled from 'styled-components/native';

const { width, height } = Dimensions.get('window');

export const Container = styled.SafeAreaView`
  flex: 1;
  background-color: white;
  padding-top: ${Platform.OS === 'android' ? StatusBar.currentHeight : 0}px;
`;

export const Main = styled.View``;

export const Header = styled.View``;

export const LargeTitle = styled.Text`
  font-family: 'Baloo2-ExtraBold';
  font-size: 50px;
  line-height: 55px;
`;

export const H1 = styled.Text`
  font-family: 'Baloo2-Bold';
  font-size: 30px;
  line-height: 36px;
`;

export const H2 = styled.Text`
  font-family: 'Baloo2-Bold';
  font-size: 22px;
  line-height: 30px;
`;

export const H3 = styled.Text`
  font-family: 'Baloo2-Bold';
  font-size: 20px;
  line-height: 22px;
`;

export const COLORS = {
  // base colors
  primary: '#20538F',
  secondary: '#7E7E7E',
  // colors
  white: '#FFFFFF',
  lightGray: '#F5F5F5',
  lightGray2: '#EAEAEA',
  green1: '#2CBB29',
  red1: '#CE0F0F'
};

export const SIZES = {
  // global sizes
  base: 8,
  font: 14,
  radius: 30,
  padding: 10,
  padding2: 12,
  // app dimensions
  width,
  height
};

const appTheme = {
  Container,
  Main,
  Header,
  COLORS,
  SIZES,
  LargeTitle,
  H1,
  H2,
  H3
};

export default appTheme;
